## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate crossbeam-channel

Name:           rust-crossbeam-channel
Version:        0.5.8
Release:        %autorelease
Summary:        Multi-producer multi-consumer channels for message passing

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/crossbeam-channel
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Multi-producer multi-consumer channels for message passing.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/LICENSE-THIRD-PARTY
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossbeam-utils-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-utils-devel %{_description}

This package contains library source intended for building other packages which
use the "crossbeam-utils" feature of the "%{crate}" crate.

%files       -n %{name}+crossbeam-utils-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip unreliable tests:
#   https://github.com/crossbeam-rs/crossbeam/pull/474#issuecomment-589250957
%cargo_test -- -- --skip fairness2 --skip select2::main
%endif

%changelog
* Fri Apr 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.8-1
- Update to version 0.5.8; Fixes RHBZ#2185444

* Tue Feb 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.7-1
- Update to version 0.5.7; Fixes RHBZ#2173987

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 27 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.6-1
- Update to version 0.5.6; Fixes RHBZ#2110071

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.5-1
- Update to version 0.5.5; Fixes RHBZ#2097836

* Tue Mar 29 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.4-1
- Update to version 0.5.4; Fixes RHBZ#2064277

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.2-1
- Update to version 0.5.2; Fixes RHBZ#2038604

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 29 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.1-1
- Update to version 0.5.1.
- Fixes RHBZ#1948206

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 12 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Update to version 0.5.0.
- Fixes RHBZ#1887297

* Mon Sep 21 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.4-1
- Update to version 0.4.4.

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Josh Stone <jistone@redhat.com> - 0.4.3-1
- Update to 0.4.3

* Sun Feb 23 11:25:39 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 19 11:22:46 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Sun Jul 28 20:39:15 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.9-1
- Update to 0.3.9

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 11:30:26 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.8-5
- Regenerate

* Sun Jun 09 00:00:41 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.8-4
- Regenerate

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.8-3
- Run tests in infrastructure

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 29 2019 Josh Stone <jistone@redhat.com> - 0.3.8-1
- Update to 0.3.8

* Mon Jan 28 2019 Josh Stone <jistone@redhat.com> - 0.3.7-1
- Update to 0.3.7

* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 0.3.6-1
- Update to 0.3.6

* Sat Dec 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.3-1
- Update to 0.3.3

* Sun Oct 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.6-1
- Update to 0.2.6

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.4-1
- Initial package

